from dataclasses import dataclass, field

@dataclass
class ChromaSetting:
    collection_ids: list[str]= field(default_factory=list)
    string_ids: list[int] = field(default_factory=list)
    file_ids: list[dict] = field(default_factory=list)


# c = ChromaSetting()
# # collection_name
# c.collection_ids = ["123", "collection_id2"]
# # 插入的字符串的id，从1开始
# c.string_ids = [0, 0]
# # 插入的文件的文件名和ids
# c.file_ids = [
#     {
#         "file_name1": ["file_name1", ["1","2","3","4"]],
#         "file_name2": ["file_name2", ["1","2","3","4"]]
#     },
#     {}
# ]

# c.string_ids[0] +=1
# print(c)